CREATE TABLE fa_adj_src_lines_t (
    ADJUSTMENT_INTERFACE_ID           NUMBER(18, 0),
    LINE_ID                           NUMBER(18, 0),
    SOURCE_LINE_ID                    NUMBER(18, 0),
    AP_DISTRIBUTION_LINE_NUMBER       NUMBER(18, 0),
    ASSET_ID                          NUMBER(18, 0),
    ASSET_INVOICE_ID                  NUMBER(18, 0),
    ATTRIBUTE_CATEGORY_CODE           VARCHAR2(120),
    ATTRIBUTE1                        VARCHAR2(600),
    ATTRIBUTE2                        VARCHAR2(600),
    ATTRIBUTE3                        VARCHAR2(600),
    ATTRIBUTE4                        VARCHAR2(600),
    ATTRIBUTE5                        VARCHAR2(600),
    ATTRIBUTE6                        VARCHAR2(600),
    ATTRIBUTE7                        VARCHAR2(600),
    ATTRIBUTE8                        VARCHAR2(600),
    ATTRIBUTE9                        VARCHAR2(600),
    ATTRIBUTE10                       VARCHAR2(600),
    ATTRIBUTE11                       VARCHAR2(600),
    ATTRIBUTE12                       VARCHAR2(600),
    ATTRIBUTE13                       VARCHAR2(600),
    ATTRIBUTE14                       VARCHAR2(600),
    ATTRIBUTE15                       VARCHAR2(600),
    ATTRIBUTE_NUMBER1                 NUMBER       ,
    ATTRIBUTE_NUMBER2                 NUMBER       ,
    ATTRIBUTE_NUMBER3                 NUMBER       ,
    ATTRIBUTE_NUMBER4                 NUMBER       ,
    ATTRIBUTE_NUMBER5                 NUMBER       ,
    ATTRIBUTE_DATE1                   DATE         ,
    ATTRIBUTE_DATE2                   DATE         ,
    ATTRIBUTE_DATE3                   DATE         ,
    ATTRIBUTE_DATE4                   DATE         ,
    ATTRIBUTE_DATE5                   DATE         ,
    CREATE_BATCH_DATE                 DATE         ,
    CREATE_BATCH_ID                   NUMBER(18, 0),
    DELETED_FLAG                      VARCHAR2(12) ,
    DEPRECIATE_IN_GROUP_FLAG          VARCHAR2(4)  ,
    DESCRIPTION                       VARCHAR2(320),
    FEEDER_SYSTEM_NAME                VARCHAR2(160),
    FIXED_ASSETS_COST                 NUMBER       ,
    INVOICE_DATE                      DATE         ,
    INVOICE_DISTRIBUTION_ID           NUMBER(18, 0),
    INVOICE_ID                        NUMBER(18, 0),
    INVOICE_LINE_NUMBER               NUMBER(18, 0),
    INVOICE_NUMBER                    VARCHAR2(200),
    MATERIAL_INDICATOR_FLAG           VARCHAR2(4)  ,
    MERGE_PARENT_MASS_ADDITIONS_ID    NUMBER(18, 0),
    MERGED_CODE                       VARCHAR2(12) ,
    PARENT_MASS_ADDITION_ID           NUMBER(18, 0),
    PAYABLES_BATCH_NAME               VARCHAR2(200),
    PAYABLES_CODE_COMBINATION_ID      NUMBER(18, 0),
    PAYABLES_COST                     NUMBER       ,
    PAYABLES_UNITS                    NUMBER       ,
    PO_DISTRIBUTION_ID                NUMBER(18, 0),
    PO_NUMBER                         VARCHAR2(120),
    PO_VENDOR_ID                      NUMBER(18, 0),
    POST_BATCH_ID                     NUMBER(18, 0),
    PROJECT_ASSET_LINE_ID             NUMBER(18, 0),
    PROJECT_ID                        NUMBER(18, 0),
    SPLIT_CODE                        VARCHAR2(12) ,
    SPLIT_MERGED_CODE                 VARCHAR2(12) ,
    SPLIT_PARENT_MASS_ADDITIONS_ID    NUMBER(18, 0),
    TASK_ID                           NUMBER(18, 0),
    LOAD_REQUEST_ID                   NUMBER(18, 0),
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    CLEARING_ACCT_SEGMENT1            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT2            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT3            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT4            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT5            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT6            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT7            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT8            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT9            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT10           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT11           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT12           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT13           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT14           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT15           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT16           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT17           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT18           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT19           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT20           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT21           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT22           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT23           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT24           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT25           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT26           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT27           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT28           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT29           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT30           VARCHAR2(100),
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(120),
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE10                VARCHAR2(600),
    GLOBAL_ATTRIBUTE11                VARCHAR2(600),
    GLOBAL_ATTRIBUTE12                VARCHAR2(600),
    GLOBAL_ATTRIBUTE13                VARCHAR2(600),
    GLOBAL_ATTRIBUTE14                VARCHAR2(600),
    GLOBAL_ATTRIBUTE15                VARCHAR2(600),
    GLOBAL_ATTRIBUTE16                VARCHAR2(600),
    GLOBAL_ATTRIBUTE17                VARCHAR2(600),
    GLOBAL_ATTRIBUTE18                VARCHAR2(600),
    GLOBAL_ATTRIBUTE19                VARCHAR2(600),
    GLOBAL_ATTRIBUTE20                VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1            DATE         ,
    GLOBAL_ATTRIBUTE_DATE2            DATE         ,
    GLOBAL_ATTRIBUTE_DATE3            DATE         ,
    GLOBAL_ATTRIBUTE_DATE4            DATE         ,
    GLOBAL_ATTRIBUTE_DATE5            DATE         ,
    INTERFACE_LINE_NUMBER             NUMBER(18, 0),
    ADJUSTMENT_INTERFACE_ID           NUMBER(18, 0),
    LINE_ID                           NUMBER(18, 0),
    SOURCE_LINE_ID                    NUMBER(18, 0),
    AP_DISTRIBUTION_LINE_NUMBER       NUMBER(18, 0),
    ASSET_ID                          NUMBER(18, 0),
    ASSET_INVOICE_ID                  NUMBER(18, 0),
    ATTRIBUTE_CATEGORY_CODE           VARCHAR2(120),
    ATTRIBUTE1                        VARCHAR2(600),
    ATTRIBUTE2                        VARCHAR2(600),
    ATTRIBUTE3                        VARCHAR2(600),
    ATTRIBUTE4                        VARCHAR2(600),
    ATTRIBUTE5                        VARCHAR2(600),
    ATTRIBUTE6                        VARCHAR2(600),
    ATTRIBUTE7                        VARCHAR2(600),
    ATTRIBUTE8                        VARCHAR2(600),
    ATTRIBUTE9                        VARCHAR2(600),
    ATTRIBUTE10                       VARCHAR2(600),
    ATTRIBUTE11                       VARCHAR2(600),
    ATTRIBUTE12                       VARCHAR2(600),
    ATTRIBUTE13                       VARCHAR2(600),
    ATTRIBUTE14                       VARCHAR2(600),
    ATTRIBUTE15                       VARCHAR2(600),
    ATTRIBUTE_NUMBER1                 NUMBER       ,
    ATTRIBUTE_NUMBER2                 NUMBER       ,
    ATTRIBUTE_NUMBER3                 NUMBER       ,
    ATTRIBUTE_NUMBER4                 NUMBER       ,
    ATTRIBUTE_NUMBER5                 NUMBER       ,
    ATTRIBUTE_DATE1                   DATE         ,
    ATTRIBUTE_DATE2                   DATE         ,
    ATTRIBUTE_DATE3                   DATE         ,
    ATTRIBUTE_DATE4                   DATE         ,
    ATTRIBUTE_DATE5                   DATE         ,
    CREATE_BATCH_DATE                 DATE         ,
    CREATE_BATCH_ID                   NUMBER(18, 0),
    DELETED_FLAG                      VARCHAR2(12) ,
    DEPRECIATE_IN_GROUP_FLAG          VARCHAR2(4)  ,
    DESCRIPTION                       VARCHAR2(320),
    FEEDER_SYSTEM_NAME                VARCHAR2(160),
    FIXED_ASSETS_COST                 NUMBER       ,
    INVOICE_DATE                      DATE         ,
    INVOICE_DISTRIBUTION_ID           NUMBER(18, 0),
    INVOICE_ID                        NUMBER(18, 0),
    INVOICE_LINE_NUMBER               NUMBER(18, 0),
    INVOICE_NUMBER                    VARCHAR2(200),
    MATERIAL_INDICATOR_FLAG           VARCHAR2(4)  ,
    MERGE_PARENT_MASS_ADDITIONS_ID    NUMBER(18, 0),
    MERGED_CODE                       VARCHAR2(12) ,
    PARENT_MASS_ADDITION_ID           NUMBER(18, 0),
    PAYABLES_BATCH_NAME               VARCHAR2(200),
    PAYABLES_CODE_COMBINATION_ID      NUMBER(18, 0),
    PAYABLES_COST                     NUMBER       ,
    PAYABLES_UNITS                    NUMBER       ,
    PO_DISTRIBUTION_ID                NUMBER(18, 0),
    PO_NUMBER                         VARCHAR2(120),
    PO_VENDOR_ID                      NUMBER(18, 0),
    POST_BATCH_ID                     NUMBER(18, 0),
    PROJECT_ASSET_LINE_ID             NUMBER(18, 0),
    PROJECT_ID                        NUMBER(18, 0),
    SPLIT_CODE                        VARCHAR2(12) ,
    SPLIT_MERGED_CODE                 VARCHAR2(12) ,
    SPLIT_PARENT_MASS_ADDITIONS_ID    NUMBER(18, 0),
    TASK_ID                           NUMBER(18, 0),
    LOAD_REQUEST_ID                   NUMBER(18, 0),
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    CLEARING_ACCT_SEGMENT1            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT2            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT3            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT4            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT5            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT6            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT7            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT8            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT9            VARCHAR2(100),
    CLEARING_ACCT_SEGMENT10           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT11           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT12           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT13           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT14           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT15           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT16           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT17           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT18           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT19           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT20           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT21           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT22           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT23           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT24           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT25           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT26           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT27           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT28           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT29           VARCHAR2(100),
    CLEARING_ACCT_SEGMENT30           VARCHAR2(100),
    GLOBAL_ATTRIBUTE_CATEGORY         VARCHAR2(120),
    GLOBAL_ATTRIBUTE1                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE2                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE3                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE4                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE5                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE6                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE7                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE8                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE9                 VARCHAR2(600),
    GLOBAL_ATTRIBUTE10                VARCHAR2(600),
    GLOBAL_ATTRIBUTE11                VARCHAR2(600),
    GLOBAL_ATTRIBUTE12                VARCHAR2(600),
    GLOBAL_ATTRIBUTE13                VARCHAR2(600),
    GLOBAL_ATTRIBUTE14                VARCHAR2(600),
    GLOBAL_ATTRIBUTE15                VARCHAR2(600),
    GLOBAL_ATTRIBUTE16                VARCHAR2(600),
    GLOBAL_ATTRIBUTE17                VARCHAR2(600),
    GLOBAL_ATTRIBUTE18                VARCHAR2(600),
    GLOBAL_ATTRIBUTE19                VARCHAR2(600),
    GLOBAL_ATTRIBUTE20                VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4          NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5          NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1            DATE         ,
    GLOBAL_ATTRIBUTE_DATE2            DATE         ,
    GLOBAL_ATTRIBUTE_DATE3            DATE         ,
    GLOBAL_ATTRIBUTE_DATE4            DATE         ,
    GLOBAL_ATTRIBUTE_DATE5            DATE         ,
    INTERFACE_LINE_NUMBER             NUMBER(18, 0),
    CONSTRAINT pk_fa_adj_src_lines_t PRIMARY KEY (ADJUSTMENT_INTERFACE_ID, LINE_ID, ADJUSTMENT_INTERFACE_ID, LINE_ID)
);
